Consultar uma cobrança
curl --request GET \
--url https://api.zynpay.com.br/v1/public/pix/charges/{chargeId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.zynpay.com.br/v1/public/pix/charges/{chargeId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zynpay.com.br/v1/public/pix/charges/{chargeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"charge": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "created",
"amountCents": 123,
"feeCents": 123,
"netAmountCents": 123,
"provider": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"origin": "public_api",
"providerPaymentId": "<string>",
"publicToken": "<string>",
"idempotencyKey": "<string>",
"externalReference": "<string>",
"description": "<string>",
"customer": {
"name": "<string>",
"email": "<string>",
"externalId": "<string>"
},
"pixBrCode": "<string>",
"pixQrCodeImage": "<string>",
"feeSnapshot": {},
"metadata": {},
"expiresAt": "2023-11-07T05:31:56Z",
"paidAt": "2023-11-07T05:31:56Z",
"cancelledAt": "2023-11-07T05:31:56Z",
"nextReconciliationAt": "2023-11-07T05:31:56Z",
"reconciliationAttempts": 123,
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "ACCOUNT_NOT_VERIFIED",
"message": "<string>",
"requestId": "<string>",
"fields": {}
}
}{
"error": {
"code": "ACCOUNT_NOT_VERIFIED",
"message": "<string>",
"requestId": "<string>",
"fields": {}
}
}{
"error": {
"code": "ACCOUNT_NOT_VERIFIED",
"message": "<string>",
"requestId": "<string>",
"fields": {}
}
}Cobranças
Consultar uma cobrança
Consulta uma cobrança específica pelo ID. Exige o escopo pix:read.
GET
/
v1
/
public
/
pix
/
charges
/
{chargeId}
Consultar uma cobrança
Exige uma chave de API com o escopo
pix:read. Use este endpoint para confirmar o status de uma cobrança específica pelo id retornado na criação.⌘I
